Progress bar

- Main Page
- Related Pages
- Data Structures
- Files
- Examples

Functions
Progress bar

## Functions
Evas_Object * | elm_progressbar_add (Evas_Object *parent)
| Add a new progress bar widget to the given parent Elementary (container) object. More...

## Detailed Description

The progress bar is a widget for visually representing the progress status of a given job/task.

A progress bar may be horizontal or vertical. It may display an icon besides it, as well as primary and units labels. The former is meant to label the widget as a whole, while the latter, which is formatted with floating point values (and thus accepts a `printf`-style format string, like `"%1.2f units"`), is meant to label the widget's progress value. Label, icon and unit strings/objects are optional for progress bars.

A progress bar may be inverted, in which case it gets its values inverted, i.e., high values being on the left or top and low values on the right or bottom, for horizontal and vertical modes respectively.

The span of the progress, as set by elm_progressbar_span_size_set(), is its length (horizontally or vertically), unless one puts size hints on the widget to expand on desired directions, by any container. That length will be scaled by the object or applications scaling factor. Applications can query the progress bar for its value with elm_progressbar_value_get().

This widget inherits from the Layout one, so that all the functions acting on it also work for progress bar objects.

This widget emits the following signals, besides the ones sent from Layout:

- `"changed"` - when the value is changed (since 1.7)
- `"focused"` - When the progressbar has received focus. (since 1.8)
- `"unfocused"` - When the progressbar has lost focus. (since 1.8)
- `"language,changed"` - the program's language changed (since 1.9)

This widget has the following styles:

- `"default"`
- `"wheel"` (simple style, no text, no progression, only "pulse" effect is available)

Default content parts of the progressbar widget that you can use for are:

- "icon" - An icon of the progressbar

Default text parts of the progressbar widget that you can use for are:

- "default" - A label of the progressbar

Supported elm_object common APIs.

- elm_object_part_text_set
- elm_object_part_text_get
- elm_object_part_content_set
- elm_object_part_content_get
- elm_object_part_content_unset

Here is an example on its usage:

- Progress bar widget example

## Function Documentation

Evas_Object* elm_progressbar_add | ( | Evas_Object * | parent | ) |

Add a new progress bar widget to the given parent Elementary (container) object.

Parameters

  parent | The parent object

Returns
  a new progress bar widget handle or `NULL`, on errors

This function inserts a new progress bar widget on the canvas.